Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78586 - Invalid command php_flag
Summary: Invalid command php_flag
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-26 00:05 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-29 10:59:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:017 high SHIPPED_LIVE : Updated PHP packages available 2003-01-21 05:00:00 UTC

Description Need Real Name 2002-11-26 00:05:26 UTC
From Bugzilla Helper:

User-Agent: Mozilla/4.0 (compatible; MSIE 5.14; Mac_PowerPC)



Description of problem:

Placing any php_flag  options in a .htaccess file produces the following 
error in the server log.

Invalid command 'php_flag'



Version-Release number of selected component (if applicable):





How reproducible:

Always



Steps to Reproduce:

1.Create a .htaccess file with any php_flag option such as php_flag 
display_errors On

2.view site

3.

	



Actual Results:  500 internal server error



Expected Results:  website displays with display errors on



Additional info:

Comment 1 Joe Orton 2002-12-04 09:03:38 UTC
This is fixed in php-4.2.2-10 - thanks for the report.

Comment 2 Need Real Name 2002-12-04 18:46:54 UTC
Where do I get an rpm for this version of php?

Comment 3 Joe Orton 2002-12-09 14:05:38 UTC
Either from a local Raw Hide mirror, or from http://people.redhat.com/jorton/.

Comment 4 Mark J. Cox 2003-02-05 08:40:19 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-017.html


Comment 5 Francesco Amelio 2003-03-07 17:35:24 UTC
How can i disable php engine to certain virtualhost or directory now 
that "php_flag" and "php_value" is disabled.?

In the older version i used "php_flag engine off"



Note You need to log in before you can comment on or make changes to this bug.